(function () {
 if (window.menuKeyboardEvent) {
    return;
  }

  const menuKeyboardEvent = {
    calledByJava(menuKeyCode) {
      if (
        typeof menuKeyCode !== 'string'
        || !/^KEYCODE_MENU_\d+$/i.test(menuKeyCode)
      ) {
        return;
      }

      const eventMenuKeyPress = new CustomEvent('onMenuKeyPress', {
        detail: menuKeyCode,
        bubbles: true,
        cancelable: true,
      });
      document.dispatchEvent(eventMenuKeyPress);
    },
  };
  window.menuKeyboardEvent = menuKeyboardEvent;

  const readyEvent = new Event('onMenuKeyboardReady');
  document.dispatchEvent(readyEvent);
})();
